import Taro, { Component } from '@tarojs/taro'
import { View } from '@tarojs/components'
import dayjs from 'dayjs'

import './index.scss'
import CellBlock from './CellBlock'
import Statement from '../../components/Statement'
import ContactConsultant from '../../components/ContactConsultant'

export default class extends Component {
  config = {
    navigationBarTitleText: '认筹单',
  }

  state = {
    buildingId: '9f021a59b2a714822894c23ccca8c2db', // must change this
  }

  componentWillMount () {}

  copyData(data) {
    Taro.setClipboardData({
      data,
      onSuccess: (() => {}),
    })
  }

  render() {
    const { buildingId } = this.state;

    // 认筹信息
    const raiseInfo = [
      { head: '认筹人', body: '姓名' },
      { head: '身份证号', body: '412702199709215528' },
      { head: '手机号', body: '17716241245' },
    ]

    // 缴费信息
    const payInfo = [
      { head: '缴费方式', body: '线上缴费/线下缴费' },
      { head: '实际支付费用', body: '234元' },
      { head: '缴费成功时间', body: dayjs('2020-2-28 17:12:48').format('YYYY/MM/DD HH:mm:ss') },
    ]

    // 退费信息
    const refundInfo = [
      { head: '退费状态', body: '退费中/退费完成' },
      { head: '退费结果', body: '成功/失败' },
      { head: '退费发起时间', body: dayjs('2020-2-28 17:12:48').format('YYYY/MM/DD HH:mm:ss') },
      { head: '实退费用', body: '234元' },
      { head: '退费到账时间', body: dayjs('2020-2-28 17:12:48').format('YYYY/MM/DD HH:mm:ss') },
      { head: '退费原因', desc: '无效原因无效原因无效原因无效原因无效原因无效原因无效原因无效原因无效原因无效原因' },
    ]

    // 其他信息
    const otherInfo = [
      { head: '其他信息', body: '供核对数据使用' },
      { head: '认筹单编号', body: '234567890-09876545678' },
      { head: '缴费单编号', body: '234567890-09876543456' },
      { head: '退费单编号', body: '234567890-09876543456' },
    ]

    return (
      <View className="raiseProfilePage">
        <View className="main">
          <View>
            <CellBlock dataset={raiseInfo} />
            <View className="hr" />
            <CellBlock dataset={payInfo} />
            <View className="hr" />
            <CellBlock dataset={refundInfo} />
            <View className="hr" />
            <CellBlock dataset={otherInfo} disable />
          </View>
          <View></View>
          <View></View>
        </View>
        <View className="contact">
          <ContactConsultant text="如有问题，请联系置业顾问" buildingId={buildingId}/>
        </View>
        <Statement />
      </View>
    )
  }
}